Runtime

## org.eclipse.gmf.runtime.notation.impl
Class PageStyleImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.runtime.notation.impl.NotationEObjectImpl
                      org.eclipse.gmf.runtime.notation.impl.PageStyleImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, PageStyle, Style

    public class PageStyleImpl

extends NotationEObjectImpl
implements PageStyle

An implementation of the model object 'Page Style'.

The following features are implemented:

- `Page X`
- `Page Y`
- `Page Width`
- `Page Height`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static int` `PAGE_HEIGHT_EDEFAULT` The default value of the '`Page Height`' attribute
`protected static int` `PAGE_WIDTH_EDEFAULT` The default value of the '`Page Width`' attribute
`protected static int` `PAGE_X_EDEFAULT` The default value of the '`Page X`' attribute
`protected static int` `PAGE_Y_EDEFAULT` The default value of the '`Page Y`' attribute
`protected int` `pageHeight` The cached value of the '`Page Height`' attribute
`protected int` `pageWidth` The cached value of the '`Page Width`' attribute
`protected int` `pageX` The cached value of the '`Page X`' attribute
`protected int` `pageY` The cached value of the '`Page Y`' attribute

Fields inherited from class org.eclipse.gmf.runtime.notation.impl.NotationEObjectImpl
`eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `PageStyleImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`int` `getPageHeight()`
`int` `getPageWidth()`
`int` `getPageX()`
`int` `getPageY()`
`void` `setPageHeight(int newPageHeight)`
`void` `setPageWidth(int newPageWidth)`
`void` `setPageX(int newPageX)`
`void` `setPageY(int newPageY)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.runtime.notation.impl.NotationEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### PAGE_X_EDEFAULT

    protected static final int PAGE_X_EDEFAULT

  The default value of the '`Page X`' attribute.

  See Also:
    `getPageX()`, Constant Field Values
  ** Generated **
  Ordered:

### pageX

    protected int pageX

  The cached value of the '`Page X`' attribute.

  See Also:
    `getPageX()`
  ** Generated **
  Ordered:

### PAGE_Y_EDEFAULT

    protected static final int PAGE_Y_EDEFAULT

  The default value of the '`Page Y`' attribute.

  See Also:
    `getPageY()`, Constant Field Values
  ** Generated **
  Ordered:

### pageY

    protected int pageY

  The cached value of the '`Page Y`' attribute.

  See Also:
    `getPageY()`
  ** Generated **
  Ordered:

### PAGE_WIDTH_EDEFAULT

    protected static final int PAGE_WIDTH_EDEFAULT

  The default value of the '`Page Width`' attribute.

  See Also:
    `getPageWidth()`, Constant Field Values
  ** Generated **
  Ordered:

### pageWidth

    protected int pageWidth

  The cached value of the '`Page Width`' attribute.

  See Also:
    `getPageWidth()`
  ** Generated **
  Ordered:

### PAGE_HEIGHT_EDEFAULT

    protected static final int PAGE_HEIGHT_EDEFAULT

  The default value of the '`Page Height`' attribute.

  See Also:
    `getPageHeight()`, Constant Field Values
  ** Generated **
  Ordered:

### pageHeight

    protected int pageHeight

  The cached value of the '`Page Height`' attribute.

  See Also:
    `getPageHeight()`
  ** Generated **
  Ordered:

Constructor Detail

### PageStyleImpl

    protected PageStyleImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getPageX

    public int getPageX()

  Specified by:
    `getPageX` in interface `PageStyle`
  Returns:
    the value of the 'Page X' attribute.
  See Also:
    `PageStyle.setPageX(int)`, `NotationPackage.getPageStyle_PageX()`
  ** Generated **

### setPageX

    public void setPageX(int newPageX)

  Specified by:
    `setPageX` in interface `PageStyle`
  Parameters:
    `newPageX` - the new value of the 'Page X' attribute.
  See Also:
    `PageStyle.getPageX()`
  ** Generated **

### getPageY

    public int getPageY()

  Specified by:
    `getPageY` in interface `PageStyle`
  Returns:
    the value of the 'Page Y' attribute.
  See Also:
    `PageStyle.setPageY(int)`, `NotationPackage.getPageStyle_PageY()`
  ** Generated **

### setPageY

    public void setPageY(int newPageY)

  Specified by:
    `setPageY` in interface `PageStyle`
  Parameters:
    `newPageY` - the new value of the 'Page Y' attribute.
  See Also:
    `PageStyle.getPageY()`
  ** Generated **

### getPageWidth

    public int getPageWidth()

  Specified by:
    `getPageWidth` in interface `PageStyle`
  Returns:
    the value of the 'Page Width' attribute.
  See Also:
    `PageStyle.setPageWidth(int)`, `NotationPackage.getPageStyle_PageWidth()`
  ** Generated **

### setPageWidth

    public void setPageWidth(int newPageWidth)

  Specified by:
    `setPageWidth` in interface `PageStyle`
  Parameters:
    `newPageWidth` - the new value of the 'Page Width' attribute.
  See Also:
    `PageStyle.getPageWidth()`
  ** Generated **

### getPageHeight

    public int getPageHeight()

  Specified by:
    `getPageHeight` in interface `PageStyle`
  Returns:
    the value of the 'Page Height' attribute.
  See Also:
    `PageStyle.setPageHeight(int)`, `NotationPackage.getPageStyle_PageHeight()`
  ** Generated **

### setPageHeight

    public void setPageHeight(int newPageHeight)

  Specified by:
    `setPageHeight` in interface `PageStyle`
  Parameters:
    `newPageHeight` - the new value of the 'Page Height' attribute.
  See Also:
    `PageStyle.getPageHeight()`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.